Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.viewers
Class ColumnWeightData

    java.lang.Object
      org.eclipse.jface.viewers.ColumnLayoutData
          org.eclipse.jface.viewers.ColumnWeightData

public class ColumnWeightData
extends ColumnLayoutData

Describes the width of a table column in terms of a weight, a minimum width, and whether the column is resizable.

This class may be instantiated; it is not intended to be subclassed.

Field Summary
`static int` | `MINIMUM_WIDTH` Default width of a column (in pixels).
`int` | `minimumWidth` The column's minimum width in pixels.
`int` | `weight` The column's weight.

Fields inherited from class org.eclipse.jface.viewers.ColumnLayoutData
`resizable`

Constructor Summary
`ColumnWeightData(int weight)` Creates a resizable column width with the given weight and a default minimum width.
`ColumnWeightData(int weight, boolean resizable)` Creates a column width with the given weight and a default minimum width.
`ColumnWeightData(int weight, int minimumWidth)` Creates a resizable column width with the given weight and minimum width.
`ColumnWeightData(int weight, int minimumWidth, boolean resizable)` Creates a column width with the given weight and minimum width.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINIMUM_WIDTH

    public static final int MINIMUM_WIDTH

  Default width of a column (in pixels).

  See Also:
    Constant Field Values

### minimumWidth

    public int minimumWidth

  The column's minimum width in pixels.

### weight

    public int weight

  The column's weight.

Constructor Detail

### ColumnWeightData

    public ColumnWeightData(int weight)

  Creates a resizable column width with the given weight and a default minimum width.

Parameters:
  `weight` - the weight of the column

### ColumnWeightData

    public ColumnWeightData(int weight,
                            int minimumWidth)

  Creates a resizable column width with the given weight and minimum width.

Parameters:
  `weight` - the weight of the column
  `minimumWidth` - the minimum width of the column in pixels

### ColumnWeightData

    public ColumnWeightData(int weight,
                            int minimumWidth,
                            boolean resizable)

  Creates a column width with the given weight and minimum width.

Parameters:
  `weight` - the weight of the column
  `minimumWidth` - the minimum width of the column in pixels
  `resizable` - `true` if the column is resizable, and `false` if size of the column is fixed

### ColumnWeightData

    public ColumnWeightData(int weight,
                            boolean resizable)

  Creates a column width with the given weight and a default minimum width.

Parameters:
  `weight` - the weight of the column
  `resizable` - `true` if the column is resizable, and `false` if size of the column is fixed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.